java.net

## Class MalformedURLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.MalformedURLException

All Implemented Interfaces:
  Serializable

    public class MalformedURLException
    extends IOException

Thrown to indicate that a malformed URL has occurred. Either no legal protocol could be found in a specification string or the string could not be parsed.

Since:
  JDK1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MalformedURLException()` Constructs a `MalformedURLException` with no detail message.
`MalformedURLException(String msg)` Constructs a `MalformedURLException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MalformedURLException

    public MalformedURLException()

Constructs a `MalformedURLException` with no detail message.

#### MalformedURLException

    public MalformedURLException(String msg)

Constructs a `MalformedURLException` with the specified detail message.

Parameters:
  `msg` - the detail message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.